#include "at32f403a_407.h"
#include "soft_wdt.h"
#include "FreeRTOS.h"
#include "task.h"
#include "common_gpio.h"


bool wdt_stop = false;


//
void soft_wdt_dtop(bool value)
{
    wdt_stop = value;
}


//
void soft_wdt(void *params)
{
    (void)params;
    
    for (;;)
    {
        if (!wdt_stop)
            extern_wdt_togle(); // extern WDT
        vTaskDelay(100);
    }
}